import request from '@/utils/request'

// 查询润滑记录列表
export function listDmsRecordLube(query) {
  return request({
    url: '/dms/dmsRecordLube/list',
    method: 'get',
    params: query
  })
}

// 查询润滑记录详细
export function getDmsRecordLube(recordLubeId) {
  return request({
    url: '/dms/dmsRecordLube/' + recordLubeId,
    method: 'get'
  })
}

// 新增润滑记录
export function addDmsRecordLube(data) {
  return request({
    url: '/dms/dmsRecordLube',
    method: 'post',
    data: data
  })
}

// 修改润滑记录
export function updateDmsRecordLube(data) {
  return request({
    url: '/dms/dmsRecordLube',
    method: 'put',
    data: data
  })
}

// 删除润滑记录
export function delDmsRecordLube(recordLubeId) {
  return request({
    url: '/dms/dmsRecordLube/' + recordLubeId,
    method: 'delete'
  })
}
